Package de.willuhn.jameica.hbci.server.hbci.rewriter

# Class NetbankUmsatzRewriter

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.rewriter.NetbankUmsatzRewriter

All Implemented Interfaces:
  `UmsatzRewriter`

@Lifecycle(CONTEXT) public class NetbankUmsatzRewriter extends Object implements UmsatzRewriter
Implementierung des Rewriters fuer die Netbank. BUGZILLA 244

## Constructor Summary

Constructors
Constructor
Description
`NetbankUmsatzRewriter()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getBlzList()`
Liefert die Liste der BLZ, fuer die der Rewriter zustaendig ist.
`void`
`rewrite(Umsatz u)`
Schreibt den Umsatz um.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NetbankUmsatzRewriter

public NetbankUmsatzRewriter()

## Method Details

### getBlzList

public List<String> getBlzList()
Description copied from interface: `UmsatzRewriter`
Liefert die Liste der BLZ, fuer die der Rewriter zustaendig ist.

Specified by:
  `getBlzList` in interface `UmsatzRewriter`
Returns:
  Liste der BLZS.
See Also:
  - `UmsatzRewriter.getBlzList()`

### rewrite

public void rewrite(Umsatz u) throws Exception
Description copied from interface: `UmsatzRewriter`
Schreibt den Umsatz um.

Specified by:
  `rewrite` in interface `UmsatzRewriter`
Parameters:
  `u` - der zu umschreibende Umsatz.
Throws:
  `Exception`
See Also:
  - `UmsatzRewriter.rewrite(de.willuhn.jameica.hbci.rmi.Umsatz)`